CREATE TABLE [dbo].[Earthquake]
(
	[EarthquakeID] [int] IDENTITY(1,1) NOT NULL
		CONSTRAINT [PK_Earthquake] PRIMARY KEY CLUSTERED
	, [EarthquakeTime] [smalldatetime] NOT NULL
	, [EarthquakeDescription] [varchar](50) NULL
	, [EarthquakeGeocode] [geography] NULL
) 

ON [PRIMARY]
GO

/*
Once you work with the data a bit, create the spatial index, modifying the grid density and
cells per object parameters

CREATE SPATIAL INDEX [NDX_Earthquake_EarthquakeGeoCode] 
ON [dbo].[Earthquake] 
([EarthquakeGeocode])
USING GEOGRAPHY_GRID 
WITH 
(
	GRIDS =(LEVEL_1 = HIGH,LEVEL_2 = HIGH,LEVEL_3 = HIGH,LEVEL_4 = HIGH)
	, CELLS_PER_OBJECT = 8192
	, PAD_INDEX  = OFF
	, SORT_IN_TEMPDB = OFF
	, DROP_EXISTING = ON
	, ALLOW_ROW_LOCKS  = ON
	, ALLOW_PAGE_LOCKS  = ON
) 
ON [PRIMARY]
GO
*/

